//+------------------------------------------------------------------+
//|                                                      AVEADX_Rev |
//|                                               JimsTradingMachine |
//|                                        hcontan1@rochester.rr.com |
//+------------------------------------------------------------------+
#property copyright "JimsTradingMachine"
#property link      "hcontan1@rochester.rr.com"

#property indicator_separate_window
#property indicator_minimum 1
#property indicator_maximum 100
#property indicator_buffers 3
#property indicator_color1 Green
#property indicator_color2 Red
#property indicator_color3 SkyBlue
//---- input 
extern int       adx_period=7;
extern int       adxb_period=14;
extern int       adxc_period=21;
extern double    adxu=25;
extern double    adxd=-25;
//---- buffers
double buy[];
double sell[];
double chill[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
  
//---- indicators
   SetIndexStyle(0,DRAW_LINE,0,2);
   SetIndexBuffer(0,buy);
   SetIndexEmptyValue(0,0.0);
   SetIndexStyle(1,DRAW_LINE,0,2);
   SetIndexBuffer(1,sell);
   SetIndexEmptyValue(1,0.0);
   SetIndexStyle(2,DRAW_LINE,0,2);
   SetIndexBuffer(2,chill);
   SetIndexEmptyValue(2,0.0);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
  
   int    counted_bars=IndicatorCounted();
   if (Bars<0)
   return (-1);
   if (counted_bars>0)
   counted_bars--;
   int limit = Bars-counted_bars;
   int i;
   for (i=0;i<limit;i++)
   {
   int uv_status;
   int dv_status;
   int adx_status;
   int adxb_status;
   int adxc_status; 
   int force_status; 
   int trade;
   int bar_status;
   
   double height0 = iADX(Symbol(),0,adx_period,PRICE_WEIGHTED,MODE_MAIN,i);
   double height1 = iADX(Symbol(),0,adxb_period,PRICE_MEDIAN,MODE_MAIN,i);
   double height2 = iADX(Symbol(),0,adxc_period,PRICE_CLOSE,MODE_MAIN,i);
  
   
   double PLUSDI0 = iADX(Symbol(),0,adx_period,PRICE_WEIGHTED,MODE_PLUSDI,i);
   double PLUSDI1 = iADX(Symbol(),0,adxb_period,PRICE_MEDIAN,MODE_PLUSDI,i);
   double PLUSDI2 = iADX(Symbol(),0,adxc_period,PRICE_CLOSE,MODE_PLUSDI,i);
   
   double MINUSDI0 = iADX(Symbol(),0,adx_period,PRICE_WEIGHTED,MODE_MINUSDI,i);
   double MINUSDI1 = iADX(Symbol(),0,adxb_period,PRICE_MEDIAN,MODE_MINUSDI,i);
   double MINUSDI2 = iADX(Symbol(),0,adxc_period,PRICE_CLOSE,MODE_MINUSDI,i);
   
   double adx = (height0 + height1 + height2)/3;
   double plusdi = (PLUSDI0 + PLUSDI1 + PLUSDI2)/3;
   double minusdi = (MINUSDI0 + MINUSDI1 + MINUSDI2)/3; 
   
   
         
  if(plusdi>minusdi && adx>=adxu)
  
  adx_status=1;
  else
  adx_status=2;
  
  if(plusdi<minusdi && adx>=adxd)
  
  adx_status=2;
  else
  adx_status=1;
  
  if(plusdi>minusdi)
  bar_status=1;
  
  if(plusdi<minusdi)
  bar_status=2;
   
    
 
  
  if (adx_status==1)
 
  buy[i]=adx;
  else
  buy[i]=0.0;
  
  if (adx_status==2)

  sell[i]=adx;
  else
  sell[i]=0.0;
  
  if (adx_status==1)
  trade=1;
  else
  
  if (adx_status==2)
  trade=2;
  
  else
  trade=3;
  
  if (trade==3)
  chill[i]=adx;
    
 
  
   
   }
   
//----
   return(0);
  }
//+------------------------------------------------------------------+